## knot 3.1.6

=== debian/changelog ===
knot (3.1.6-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/kdig: Skip if there is no internet access.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 20 Feb 2022 18:27:10 -0500

knot (3.1.6-1) unstable; urgency=medium

  * new upstream version 3.1.6
  * d/knot.install: add dbus config file
  * d/copyright: update copyright for 2022

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 10 Feb 2022 16:20:00 +0000

knot (3.1.5-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/kdig: Skip if there is no internet access.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Jan 2022 22:45:15 -0500

knot (3.1.5-1) unstable; urgency=medium

  * new upstream version 3.1.5

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Jan 2022 14:59:07 +0000

knot (3.1.4-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/kdig: Skip if there is no internet access.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Nov 2021 18:45:50 -0500

knot (3.1.4-1) unstable; urgency=medium

  * new upstream version 3.1.4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 04 Nov 2021 11:27:41 +0000

knot (3.1.3-2) unstable; urgency=medium

  * d/tests: add sleep to ensure the server is reloaded

 -- Daniel Salzman <daniel.salzman@nic.cz>  Thu, 21 Oct 2021 13:31:44 +0000

knot (3.1.3-1) unstable; urgency=medium

  * new upstream version 3.1.3

  [ Daniel Salzman ]
  * tests: remove obsolete test for kasp_json2lmdb
  * knot.postinst: fix lintian warning 'maintainer-script-supports-ancient-package-version'
  * kasp_json2lmdb: remove unused and obsolete script
  * get_kaspdb: remove unused and obsolete script
  * get_user: remove unused and obsolete script
  * control: remove no-longer-needed python dependencies
  * TODO: update
  * doc: fix lintian warnings 'embedded-javascript-library'

  [ Libor Peltan ]
  * tests: add simple test of DNSSEC and keymgr

  [ Jakub Ružička ]
  * d/copyright: add url-parser copyright
  * d/control: add Multi-Arch: same to libknot-dev

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 19 Oct 2021 12:02:30 +0000

knot (3.1.2-1) unstable; urgency=medium

  * new upstream version 3.1.2
  * d/copyright: sync with upstream
  * d/knot.maintscript: remove obsolete maintscript

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 08 Sep 2021 15:41:04 +0000

knot (3.1.1-6) unstable; urgency=medium

  * Source-only upload (try #2)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Sep 2021 22:44:55 +0000

knot (3.1.1-5) unstable; urgency=medium

  * Source-only upload to allow migration

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Sep 2021 11:22:33 +0000

knot (3.1.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 13:13:13 +0000

knot (3.1.1-3) experimental; urgency=medium

  * Bump min symbol versions to 3.1.1
  * d/control: bump Standards-Version to 4.6.0
  * d/control: don't require libmnl-dev on archs without XDP

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 25 Aug 2021 10:42:42 +0000

knot (3.1.1-2) experimental; urgency=medium

  * Remove XDP-specific symbols from unsupported archs
  * d/control: improve Multi-Arch hints

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 24 Aug 2021 11:11:11 +0000

knot (3.1.1-1) experimental; urgency=medium

  * new upstream version 3.1.1
  * d/tests: replace `which` with `command -v`
  * d/knot.service: sync upstream improvements
  * d/control: update Build-Depends
  * Bump SONAMEs: libknot12, libzscanner4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 17 Aug 2021 16:20:00 +0000

knot (3.0.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/kdig: Skip if there is no internet access.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 09 May 2021 21:04:39 -0400
