=== debian/tests/control ===
Tests: kdig
Depends:
 ca-certificates,
 knot-dnsutils,
Restrictions: skippable

Tests: authoritative-server
Depends:
 findutils,
 knot,
 knot-dnsutils,
