## knot 3.1.8

=== debian/changelog ===
knot (3.1.8-1) unstable; urgency=medium

  * new upstream version 3.1.8

  [ Daniel Salzman ]
  * d/tests/kdig: make the test more stable by using 1.1.1.1 resolver
  * d/tests/kdig: skip the test if no internet access detected

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 28 Apr 2022 11:40:38 +0000

knot (3.1.7-1) unstable; urgency=medium

  * new upstream version 3.1.7

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 30 Mar 2022 15:09:49 +0000
