=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: knot
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: knot packagers <knot@packages.debian.org>
+Maintainer: knot packagers <knot@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
