=== debian/tests/control ===
Tests: kdig
Restrictions: skippable
Depends:
 ca-certificates,
 iputils-ping,
 knot-dnsutils,

Tests: authoritative-server
Depends:
 findutils,
 knot,
 knot-dnsutils,
