## knot 3.2.5

=== debian/changelog ===
knot (3.2.5-1) unstable; urgency=medium

  * New upstream version 3.2.5

  [ Daniel Salzman ]
  * Update d/control: remove redundant dependencies linux-libc-dev and and libelf-dev
  * Update d/control: update and unify xdp-dependent architecture exceptions
  * Update d/libknot.symbols: update symbols files for non-xdp architectures
  * Update d/control,rules: switch to external libngtcp2
  * Update d/control: switch from obsolete lsb-base to sysvinit-utils
  * Update d/knot.init: fix RUNDIR creation without knot.tmpfiles
  * Update d/knot.init: remove explicit knotd configuration specification to be consistend with knotc
  * Update d/knot.postinst: change ownership and permissions for /var/lib/knot, /etc/knot, and /etc/knot/knot.conf
  * Update d/knot.postrm: add missing directories to purge list in postrm script
  * Update d/*.symbols: add Build-Depends-Package to libknot and libdnssec

  [ Jakub Ružička ]
  * Update Standards-Version to 4.6.2 (no changes)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 02 Feb 2023 13:37:42 +0100

knot (3.2.4-1) unstable; urgency=medium

  * New upstream version 3.2.4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 12 Dec 2022 11:52:06 +0100

knot (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 21 Nov 2022 14:31:59 +0100

knot (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * Update libknot13.symbols

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 01 Nov 2022 12:40:19 +0000

knot (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
    - Compatible with libbpf 1.0 (Closes: #1018911)
  * Add Build-Depends: libxdp-dev where available
  * Remove patch included upstream
  * Update libknot13.symbols
  * Update knot.service from upstream (Closes: #1019583)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 12 Sep 2022 16:06:27 +0000

knot (3.2.0-3) unstable; urgency=medium

  * Add Breaks+Replaces for knot-dnssecutils (Closes: #1018944)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 02 Sep 2022 13:31:57 +0000

knot (3.2.0-2) unstable; urgency=medium

  * Update libknot13 symbols for arches without XDP

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 01 Sep 2022 15:11:32 +0000

knot (3.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster

  [ Jakub Ružička ]
  * gbp: use upstream/3.2 branch
  * Bump SONAMEs: libknot13, libdnssec9
  * New knot-dnssecutils subpackage
  * Enable QUIC
  * Update debian/copyright
  * Sync descriptions with upstream package
  * Bump Standards-Version to 4.6.1
  * Add d/patches/0001-tests-xdp-tcp-fix-under-32bit-platform.patch
  * Update debian/tests

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 24 Aug 2022 11:22:33 +0000
