=== debian/control ===
--- 
+++ 
@@ -17,28 +17,29 @@
  automake,
  debhelper-compat (= 13),
  dh-python,
- libbpf-dev [!armel !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ libbpf-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libedit-dev,
- libelf-dev [!armel !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libfstrm-dev,
  libgnutls28-dev,
  libidn2-dev,
  liblmdb-dev,
  libmaxminddb-dev,
- libmnl-dev [!armel !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ libmnl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  libnghttp2-dev,
+ libngtcp2-crypto-gnutls-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libngtcp2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  libprotobuf-c-dev,
  libsofthsm2 <!nocheck>,
  libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
  libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
  libtool,
- liburcu-dev (>= 0.4),
- linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ liburcu-dev,
+ libxdp-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  pkg-config,
  protobuf-c-compiler,
  python3-all,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
 Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
@@ -48,10 +49,9 @@
 Architecture: any
 Depends:
  adduser,
- libdnssec8 (= ${binary:Version}),
- libknot12 (= ${binary:Version}),
- libzscanner4 (= ${binary:Version}),
- lsb-base (>= 3.0-6),
+ libdnssec9 (= ${binary:Version}),
+ libknot13 (= ${binary:Version}),
+ libzscanner4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
@@ -68,7 +68,7 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot12
+Package: libknot13
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -93,7 +93,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libs
-Description: DNS zone-parsing library from Knot
+Description: DNS zone-parsing shared library from Knot DNS
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -104,14 +104,14 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec8
+Package: libdnssec9
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Section: libs
-Description: DNSSEC shared library from Knot
+Description: DNSSEC shared library from Knot DNS
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -126,9 +126,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdnssec8 (= ${binary:Version}),
+ libdnssec9 (= ${binary:Version}),
  libgnutls28-dev,
- libknot12 (= ${binary:Version}),
+ libknot13 (= ${binary:Version}),
  libzscanner4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -147,8 +147,8 @@
 Package: knot-dnsutils
 Architecture: any
 Depends:
- libdnssec8 (= ${binary:Version}),
- libknot12 (= ${binary:Version}),
+ libdnssec9 (= ${binary:Version}),
+ libknot13 (= ${binary:Version}),
  libzscanner4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -156,7 +156,7 @@
  knot (<< 2.9.2-5),
 Replaces:
  knot (<< 2.9.2-5),
-Description: Clients provided with Knot DNS (kdig, knsupdate, kzonecheck)
+Description: Clients provided with Knot DNS (kdig, knsupdate, kxdpgun)
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
  .
@@ -170,7 +170,6 @@
   - kdig - query a DNS server in various ways
   - knsupdate - perform dynamic updates (See RFC2136)
   - kxdpgun - send a DNS query stream over UDP to a DNS server
-  - kzonecheck - zone check tool
  .
  Those clients were designed to be 1:1 compatible with BIND dnsutils,
  but they provide some enhancements, which are documented in respective
@@ -178,11 +177,39 @@
  .
  WARNING: knslookup is not provided as it is considered obsolete.
 
+Package: knot-dnssecutils
+Architecture: any
+Depends:
+ libdnssec9 (= ${binary:Version}),
+ libknot13 (= ${binary:Version}),
+ libzscanner4 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ knot (<< 3.2.0-1),
+ knot-dnsutils (<< 3.2.0-1),
+Replaces:
+ knot (<< 3.2.0-1),
+ knot-dnsutils (<< 3.2.0-1),
+Description: DNSSEC tools provided with Knot DNS (kzonecheck, kzonesign, knsec3hash)
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package delivers various DNSSEC tools from Knot DNS.
+ .
+  - kzonecheck
+  - kzonesign
+  - knsec3hash
+
 Package: knot-host
 Architecture: any
 Depends:
- libdnssec8 (= ${binary:Version}),
- libknot12 (= ${binary:Version}),
+ libdnssec9 (= ${binary:Version}),
+ libknot13 (= ${binary:Version}),
  libzscanner4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
