## knot 3.2.6

=== debian/changelog ===
knot (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6
  * Remove patch included upstream

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Apr 2023 13:54:46 +0200

knot (3.2.5-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * Update d/changelog: wrap long lines and fix typos
  * Update d/*NEWS: remove outdated files
  * Update d/knot.install: install D-Bus config to /usr/share/dbus-1/system.d/
  * Update d/control: remove inconsistent 'Multi-Arch: same' hinters
  * Update d/copyright: update some years

  [ Jakub Ružička ]
  * Add upstream patch fixing errors on modules load

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 28 Feb 2023 18:05:42 +0100
