=== debian/control ===
--- 
+++ 
@@ -70,7 +70,6 @@
 
 Package: libknot13
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -88,7 +87,6 @@
 
 Package: libzscanner4
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -106,7 +104,6 @@
 
 Package: libdnssec9
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -124,7 +121,6 @@
 
 Package: libknot-dev
 Architecture: any
-Multi-Arch: same
 Depends:
  libdnssec9 (= ${binary:Version}),
  libgnutls28-dev,
@@ -227,7 +223,6 @@
 
 Package: knot-module-dnstap
 Architecture: any
-Multi-Arch: same
 Depends:
  knot (= ${binary:Version}),
  ${misc:Depends},
@@ -244,7 +239,6 @@
 
 Package: knot-module-geoip
 Architecture: any
-Multi-Arch: same
 Depends:
  knot (= ${binary:Version}),
  ${misc:Depends},
