=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -DNDEBUG
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
 export KNOT_SOFTHSM2_DSO = /usr/lib/softhsm/libsofthsm2.so
@@ -69,7 +68,8 @@
 	  --with-module-geoip=shared \
 	  $(RECVMMSG) \
 	  $(FASTPARSER) \
-	  --disable-silent-rules
+	  --disable-silent-rules \
+	  --enable-quic
 
 override_dh_auto_configure-indep:
 	$(PYBUILD) --configure
