## knot 3.2.9

=== debian/changelog ===
knot (3.2.9-1) unstable; urgency=medium

  * New upstream version 3.2.9

  [ Daniel Salzman ]
  * Update d/control: remove exceptions for kfreebsd-amd64 and kfreebsd-i386
  * Update d/libknot13: remove symbols files for kfreebsd-amd64 and kfreebsd-i386

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 28 Jul 2023 09:58:53 +0200
