=== debian/control ===
--- 
+++ 
@@ -17,25 +17,25 @@
  automake,
  debhelper-compat (= 13),
  dh-python,
- libbpf-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
- libcap-ng-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ libbpf-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libcap-ng-dev [!hurd-i386],
  libedit-dev,
  libfstrm-dev,
  libgnutls28-dev,
  libidn2-dev,
  liblmdb-dev,
  libmaxminddb-dev,
- libmnl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libmnl-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  libnghttp2-dev,
- libngtcp2-crypto-gnutls-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
- libngtcp2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libngtcp2-crypto-gnutls-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libngtcp2-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  libprotobuf-c-dev,
  libsofthsm2 <!nocheck>,
  libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
  libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
  libtool,
  liburcu-dev,
- libxdp-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libxdp-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
  pkg-config,
  protobuf-c-compiler,
  python3-all,
