## knot 3.3.3

=== debian/changelog ===
knot (3.3.3-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * debian: synchronize settings for hurd-amd64 with hurd-i386
  * debian/control: disable XDP on loong64 (Closes: #1060123)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 08 Jan 2024 13:34:35 +0100

knot (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * Add new symbols for 3.3.3

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 13 Dec 2023 13:55:57 +0100

knot (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * Remove ${shlibs:Depends} from libknot-dev Depends

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 20 Oct 2023 14:21:35 +0200

knot (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1 (Closes: #1051067)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 11 Sep 2023 14:14:22 +0200

knot (3.3.0-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * Update d/libknot14.symbols.hurd-i386: add missing knot_quic_* symbols
  * Update d/libknot14.symbols.loong64: add symlink to
    libknot14.symbols.hurd-i386

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 30 Aug 2023 16:39:24 +0200

knot (3.3.0-1) unstable; urgency=medium

  * d/gbp.conf: Use upstream/3.3 branch
  * SONAME bump: libknot 13 -> 14
  * knot-doc: Add new BR python3-sphinx-panels
  * knot-doc: Drop broken info docs
  * knot-exporter: New python subpackage
  * Update d/copyright for 3.3.0

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 29 Aug 2023 13:42:48 +0200
