## knot 3.3.4

=== debian/changelog ===
knot (3.3.4-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:35:52 +0000

knot (3.3.4-1.1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:54 +0000

knot (3.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062491

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 14:10:52 +0000

knot (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 24 Jan 2024 14:12:36 +0100
