=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: knot
 Section: net
 Priority: optional
-Maintainer: knot packagers <knot@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: knot packagers <knot@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
@@ -11,31 +12,31 @@
 Build-Depends-Indep:
  python3-setuptools,
  python3-sphinx,
- texinfo,
-Build-Depends:
+ python3-sphinx-panels,
+Build-Depends: dpkg-dev (>= 1.22.5),
  autoconf,
  automake,
  debhelper-compat (= 13),
  dh-python,
- libbpf-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
- libcap-ng-dev [!hurd-i386],
+ libbpf-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libcap-ng-dev [!hurd-amd64 !hurd-i386],
  libedit-dev,
  libfstrm-dev,
  libgnutls28-dev,
  libidn2-dev,
  liblmdb-dev,
  libmaxminddb-dev,
- libmnl-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libmnl-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
  libnghttp2-dev,
- libngtcp2-crypto-gnutls-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
- libngtcp2-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libngtcp2-crypto-gnutls-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libngtcp2-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
  libprotobuf-c-dev,
  libsofthsm2 <!nocheck>,
  libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
  libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
  libtool,
  liburcu-dev,
- libxdp-dev [!hurd-i386 !alpha !arc !hppa !ia64 !m68k !powerpc !sh4 !sparc64 !x32],
+ libxdp-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
  pkg-config,
  protobuf-c-compiler,
  python3-all,
@@ -49,9 +50,9 @@
 Architecture: any
 Depends:
  adduser,
- libdnssec9 (= ${binary:Version}),
- libknot13 (= ${binary:Version}),
- libzscanner4 (= ${binary:Version}),
+ libdnssec9t64 (= ${binary:Version}),
+ libknot14t64 (= ${binary:Version}),
+ libzscanner4t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
@@ -68,7 +69,10 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
-Package: libknot13
+Package: libknot14t64
+Provides: ${t64:Provides}
+Replaces: libknot14
+Breaks: libknot14 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -85,7 +89,10 @@
  This package provides libknot shared library used by Knot DNS and
  Knot Resolver.
 
-Package: libzscanner4
+Package: libzscanner4t64
+Provides: ${t64:Provides}
+Replaces: libzscanner4
+Breaks: libzscanner4 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -102,7 +109,10 @@
  This package provides a fast zone parser shared library used by Knot
  DNS and Knot Resolver.
 
-Package: libdnssec9
+Package: libdnssec9t64
+Provides: ${t64:Provides}
+Replaces: libdnssec9
+Breaks: libdnssec9 (<< ${source:Version})
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -122,12 +132,11 @@
 Package: libknot-dev
 Architecture: any
 Depends:
- libdnssec9 (= ${binary:Version}),
+ libdnssec9t64 (= ${binary:Version}),
  libgnutls28-dev,
- libknot13 (= ${binary:Version}),
- libzscanner4 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+ libknot14t64 (= ${binary:Version}),
+ libzscanner4t64 (= ${binary:Version}),
+ ${misc:Depends},
 Section: libdevel
 Description: Knot DNS shared library development files
  Knot DNS is a fast, authoritative only, high performance, feature
@@ -143,9 +152,9 @@
 Package: knot-dnsutils
 Architecture: any
 Depends:
- libdnssec9 (= ${binary:Version}),
- libknot13 (= ${binary:Version}),
- libzscanner4 (= ${binary:Version}),
+ libdnssec9t64 (= ${binary:Version}),
+ libknot14t64 (= ${binary:Version}),
+ libzscanner4t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -176,9 +185,9 @@
 Package: knot-dnssecutils
 Architecture: any
 Depends:
- libdnssec9 (= ${binary:Version}),
- libknot13 (= ${binary:Version}),
- libzscanner4 (= ${binary:Version}),
+ libdnssec9t64 (= ${binary:Version}),
+ libknot14t64 (= ${binary:Version}),
+ libzscanner4t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -204,9 +213,9 @@
 Package: knot-host
 Architecture: any
 Depends:
- libdnssec9 (= ${binary:Version}),
- libknot13 (= ${binary:Version}),
- libzscanner4 (= ${binary:Version}),
+ libdnssec9t64 (= ${binary:Version}),
+ libknot14t64 (= ${binary:Version}),
+ libzscanner4t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Version of 'host' bundled with Knot DNS
@@ -273,6 +282,22 @@
  This package provides various documents that are useful for
  maintaining a working Knot DNS installation.
 
+Package: knot-exporter
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Section: python
+Description: Prometheus exporter for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package provides Python Prometheus exporter for Knot DNS.
+
 Package: python3-libknot
 Architecture: all
 Depends:
