## knot 3.3.7

=== debian/changelog ===
knot (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 25 Jun 2024 17:47:02 +0200

knot (3.3.6-3) unstable; urgency=medium

  [ Daniel Salzman ]
  * Add new knot_ctl_bind2 symbol to libknot14t64.symbols.hurd-i386

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 17 Jun 2024 12:24:24 +0200

knot (3.3.6-2) unstable; urgency=medium

  * Include 64-bit time_t patch in Salsa

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 14 Jun 2024 14:10:44 +0200

knot (3.3.6-1) unstable; urgency=medium

  * New upstream version 3.3.6
  * Add new knot_ctl_bind2 symbol to libknot14.symbols

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 13 Jun 2024 21:56:14 +0200

knot (3.3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restoring rename of libraries for 64-bit time_t transition
    (Closes: #1062491).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 08 Mar 2024 22:56:33 +0100

knot (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 07 Mar 2024 15:01:44 +0100
