=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: knot
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: knot packagers <knot@packages.debian.org>
+Maintainer: knot packagers <knot@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
@@ -13,11 +12,12 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-panels,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  autoconf,
  automake,
  debhelper-compat (= 13),
  dh-python,
+ dpkg-dev (>= 1.22.5),
  libbpf-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
  libcap-ng-dev [!hurd-amd64 !hurd-i386],
  libedit-dev,
