## knot 3.3.8

=== debian/changelog ===
knot (3.3.8-1) unstable; urgency=medium

  * New upstream version 3.3.8
  * Update Standards-Version to 4.7.0 (no changes)
  * Update my email in Uploaders to jru@debian.org

 -- Jakub Ružička <jru@debian.org>  Mon, 22 Jul 2024 15:32:31 +0200
