=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Robert Edmonds <edmonds@debian.org>,
- Jakub Ružička <jakub.ruzicka@nic.cz>,
+ Jakub Ružička <jru@debian.org>,
 Build-Depends-Indep:
  python3-setuptools,
  python3-sphinx,
@@ -40,7 +40,7 @@
  pkg-config,
  protobuf-c-compiler,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.knot-dns.cz/
 Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
 Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
