## knot 3.3.9

=== debian/changelog ===
knot (3.3.9-1) unstable; urgency=medium

  * New upstream version 3.3.9 (Closes: #1078625)
  * Add libknot to python3-libknot Depends
  * Update Build-Depends: pkg-config => pkgconf

 -- Jakub Ružička <jru@debian.org>  Mon, 26 Aug 2024 13:07:53 +0200
