=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  libtool,
  liburcu-dev,
  libxdp-dev [!hurd-amd64 !hurd-i386 !alpha !arc !hppa !ia64 !loong64 !m68k !powerpc !sh4 !sparc64 !x32],
- pkg-config,
+ pkgconf,
  protobuf-c-compiler,
  python3-all,
 Standards-Version: 4.7.0
@@ -301,6 +301,7 @@
 Package: python3-libknot
 Architecture: all
 Depends:
+ libknot14t64 (>= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
 Section: python
