## knot 3.4.2

=== debian/changelog ===
knot (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2 (Closes: #1085663, #1085349)
  * Enable ARM builds on salsa CI
  * Remove patch included upstream

 -- Jakub Ružička <jru@debian.org>  Thu, 31 Oct 2024 12:59:15 +0100

knot (3.4.1-2) unstable; urgency=medium

  * Add missing #include <stddef.h>

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Oct 2024 20:43:35 +0200

knot (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * Add new libknot15 symbols introduced in 3.4.1

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Oct 2024 14:20:00 +0200

knot (3.4.0-4) unstable; urgency=medium

  [ Daniel Salzman ]
  * Remove knot_quic_* symbols for non-well supported architectures

 -- Jakub Ružička <jru@debian.org>  Mon, 09 Sep 2024 12:48:18 +0200

knot (3.4.0-3) unstable; urgency=medium

  [ Daniel Salzman ]
  * Fix maint mode (disabled fast parser)
  * Enable extra modules and features only for well supported architectures
  * Tiny rules cleanup
  * Remove timeout for tests on well supported architectures
  * Remove ufw configuration
  * Add missing dependency for test libdnssec/test_keystore_pkcs11

  [ Jakub Ružička ]
  * Remove unwanted /usr/sbin/knot-exporter dir (Closes: #1081191)

 -- Jakub Ružička <jru@debian.org>  Mon, 09 Sep 2024 10:49:08 +0200

knot (3.4.0-2) unstable; urgency=medium

  [ Jakub Ružička ]
  * Drop t64 suffix from libknot15 after soname bump (Closes: #1080499)

  [ Daniel Salzman ]
  * Update -latomic usage (Closes: #1080514)
  * Disable DNSTAP on hurd-amd64 and hurd-i386
  * Disable GEOIP on hurd-amd64 and hurd-i386
  * Unification of architecture-dependent exceptions
  * Disable RRL on hurd-amd64 and hurd-i386

 -- Jakub Ružička <jru@debian.org>  Thu, 05 Sep 2024 15:15:17 +0200

knot (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * d/gbp.conf: Use upstream/3.4 branch for 3.4.x
  * SONAME bump: libknot 14 -> 15
  * Move Build-Depends-Indep to Build-Depends
  * Remove unused lintian-overrides

 -- Jakub Ružička <jru@debian.org>  Tue, 03 Sep 2024 12:47:35 +0200
