## knot 3.4.3

=== debian/changelog ===
knot (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * Add new symbol for 3.4.3

 -- Jakub Ružička <jru@debian.org>  Fri, 06 Dec 2024 16:39:20 +0100
